### Method

# FwupdPlugin Context has_hwid_guid

since: 1.6.0

#### Declaration [src]

    gboolean
    fu_context_has_hwid_guid (
      FuContext* self,
      const gchar* guid
    )

#### Description [src]

Finds out if a hardware GUID exists.

Available since: 1.6.0

#### Parameters

`guid`

  Type: `const gchar*`

  A GUID, e.g. `059eb22d-6dc7-59af-abd3-94bbe017f67c`

  The data is owned by the caller of the method.
  The value is a NUL terminated UTF-8 string.

#### Return value

Type: `gboolean`

`TRUE` if the GUID exists.